<%- include('../partials/header') %>
<%- include('../partials/scripts') %>
</head>

<body class="min-vh-100 d-flex flex-column">
	<%- include('../partials/navbar') %>
	<div class="main-content d-flex flex-column flex-grow-1">
		<%- include('../partials/topbar') %>
		<%- include('./header', { active: 'list' }) %>
		<div class="container-fluid mt--7 flex-grow-1">
			<!-- Light table -->
			<div class="row">
				<div class="col">
					<div class="card">
						<!-- Card header -->
						<div class="card-header border-0">
							<h3 class="mb-0">Seznam</h3>
						</div>
						<div class="table-responsive">
							<table class="table w-100" id="years">
								<thead class="thead-light">
									<tr>
										<th scope="col" class="sort">ID</th>
										<th scope="col" class="sort">Název</th>
										<th scope="col">Popisek</th>
										<th scope="col">Stav</th>
										<th scope="col">Akce</th>
									</tr>
								</thead>
							</table>
						</div>
					</div>
				</div>
			</div>
			<%- include('../partials/footer') %>
		</div>
	</div>
	<%- include('../partials/scripts-file-end') %>
	<%- include('../partials/datatables') %>
	<script>
		function deleteYearById(id) {
			swal({
				title: 'Opravdu chcete smazat tento ročník?',
				text: 'Radši si to dvakrát rozmyslete.',
				icon: 'warning',
				timer: 5000,
				dangerMode: true,
				buttons: {
					cancel: "Byl to omyl",
					confirm: 'Smazat!',
				},
			}).then((confirm) => {
				if (confirm) {
					API.year
						.delete(id)
						.done((response) => {
							console.log(response);
							switch (response) {
								case 'ok':
									swal({
										title: 'Ročník je smazán!',
										text: 'Už ho / ji nikdy neuvidíme.',
										icon: 'success',
										timer: 5000
									}).then((value) => {
										location.reload()
									})
									break

								default:
									swal({
										title: 'Něco se pokazilo!',
										text: response,
										icon: 'error'
									})
									break
							}
						})
				}
			})
		}

		$(document).ready(function () {
			API.year
				.list()
				.done((dataFromServer) => {
					$('table#years').DataTable({
						language: {
							url: '/js/dataTables/myCzech.json'
						},
						order: [[1, "desc"]],
						responsive: true,
						data: dataFromServer,
						columns: [
							{
								data: "_id",
								visible: false,
							}, {
								data: 'name',
							}, {
								data: 'description',
							}, {
								data: 'status',
								fnCreatedCell: function (nTd, sData, oData, iRow, iCol) {
									let text = ''
									let badgeClass = 'default'
									switch (oData.status) {
										case 'active':
											text = 'Aktivní'
											badgeClass = 'success'
											break;

										case 'archived':
											text = 'Archivovaný'
											break;

										case 'prepared':
											text = 'Připravovaný'
											badgeClass = 'primary'
											break;
									}
									$(nTd).html(
										$('<span>', { class: 'badge badge-pill badge-' + badgeClass })
											.text(text)
									)
								}
							}, {
								data: '_id',
								fnCreatedCell: function (nTd, sData, oData, iRow, iCol) {
									$(nTd).html(
										$("<div>", { class: "row m-auto justify-content-around" }).append(
											$("<a>", { href: `/admin/years/edit/${oData._id}`, style: "background: none; border: none; padding: 0; " }).append(
												$("<i>", { class: "fas fa-pen text-primary" }),
											),
											$('<button>', {
												onclick: `deleteYearById('${oData._id}');`,
												style: "background: none; border: none; padding: 0; "
											}).append(
												$('<i>', { class: "fas fa-trash text-danger" }),
											),
										),
									);
								}
							}
						],
					})
				})
		})
	</script>
	<%- include('../partials/file-end') %>